Skip to content

Update Plan​

PATCH
/plans/{plan_id}

Authorizations​

HTTPBearer

Use your API token

Type
HTTP (bearer)

Parameters​

Path Parameters

plan_id*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
"name": "John Doe",
"audience": "string",
"researchGoal": "string",
"createdAt": "2026-01-08T12:00:00Z",
"graphData": {
"additionalProperties": "string"
}
}

Responses​

Successful Response

application/json
object
Format"uuid"
Format"uuid"
Format"uuid"
Format"date-time"
object[]
object
Required

Samples​

Powered by VitePress OpenAPI